import us from 'us';
import kebabCase from 'lodash/kebabCase';
const stateOverrides = {
  11: {
    name: 'Washington, D.C.',
    slug: 'washington-dc'
  },
  69: {
    sentence: 'the Northern Mariana Islands'
  },
  78: {
    sentence: 'the Virgin Islands'
  }
};
const states = Object.values(us.states).map(s => {
  const slug = kebabCase(s.name);
  const overrides = stateOverrides[s.fips];
  const sentence = s.name;
  return {
    slug,
    sentence,
    ...s,
    ...overrides
  };
});
const statesByFips = Object.fromEntries(states.map(state => [state.fips, state]));
const statesBySlug = Object.fromEntries(states.map(state => [state.slug, state]));
export { states, statesByFips, statesBySlug };